Subject: [bug#38861] [WIP 1/1] gnu: Add ocaml-4.09.

From: Brett Gilio <[email-masked]>
Date: Fri, 10 Jan 2020 19:55:36 -0600

Julien Lepiller <[email-masked]> writes:

>
> I tried to do that not so long ago, but failed because of two
> packages: bap and another one I can't remember. The whole janestreet
> stuff (core and ppx-*) needs to be re-imported: many dependencies
> changed.
>
> I think we can have two versions of ocaml if some packages don't
> support the latest. In that case, I would only duplicate packages that
> are dependencies of these packages. In general, you can use a
> procedure to recursively modify ocaml packages so they use the older
> version. See package-with-ocaml4.02 that existed at some point.
>

Thanks for your help Julien. I am trying some things on my channel. Will
report back here in a few days.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>